Loading...
Searching...
No Matches
websocketpp::processor::hybi13< config >::msg_metadata Struct Reference

`#include <hybi13.hpp>`

## Public Member Functions

| msg_metadata (message_ptr m, size_t p)
| msg_metadata (message_ptr m, frame::masking_key_type p)

## Public Attributes

message_ptr | msg_ptr
size_t | prepared_key
utf8_validator::validator | validator

## Detailed Description

template<typename config>
struct websocketpp::processor::hybi13< config >::msg_metadata

This data structure holds data related to processing a message, such as the buffer it is being written to, its masking key, its UTF8 validation state, and sometimes its compression state.

Definition at line 1031 of file hybi13.hpp.

## Constructor & Destructor Documentation

## msg_metadata() [1/3]

template<typename config>

websocketpp::processor::hybi13< config >::msg_metadata::msg_metadata | ( |  | ) |

inline

Definition at line 1032 of file hybi13.hpp.

## msg_metadata() [2/3]

template<typename config>

websocketpp::processor::hybi13< config >::msg_metadata::msg_metadata | ( | message_ptr | m,
|  | size_t | p )

inline

Definition at line 1033 of file hybi13.hpp.

## msg_metadata() [3/3]

template<typename config>

websocketpp::processor::hybi13< config >::msg_metadata::msg_metadata | ( | message_ptr | m,
|  | frame::masking_key_type | p )

inline

Definition at line 1034 of file hybi13.hpp.

## Member Data Documentation

## msg_ptr

template<typename config>

message_ptr websocketpp::processor::hybi13< config >::msg_metadata::msg_ptr

Definition at line 1038 of file hybi13.hpp.

## prepared_key

template<typename config>

size_t websocketpp::processor::hybi13< config >::msg_metadata::prepared_key

Definition at line 1039 of file hybi13.hpp.

## validator

template<typename config>

utf8_validator::validator websocketpp::processor::hybi13< config >::msg_metadata::validator

Definition at line 1040 of file hybi13.hpp.

The documentation for this struct was generated from the following file:

- websocketpp/processors/hybi13.hpp